Package com.io7m.coffeepick.runtime.parser.spi

# Class ParsedRuntime.Builder

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.ParsedRuntime.Builder

Enclosing class:
  ParsedRuntime

    public static final class ParsedRuntime.Builder
    extends java.lang.Object

Builds instances of type `ParsedRuntime`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ParsedRuntime` | `build()` | Builds a new `ParsedRuntime`.
  `ParsedRuntime.Builder` | `from​(ParserResultType.ParsedRuntimeType instance)` | Fill a builder with attribute values from the provided `ParsedRuntimeType` instance.
  `ParsedRuntime.Builder` | `setRuntime​(RuntimeDescription runtime)` | Initializes the value for the `runtime` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final ParsedRuntime.Builder from​(ParserResultType.ParsedRuntimeType instance)
    Fill a builder with attribute values from the provided `ParsedRuntimeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setRuntime

    public final ParsedRuntime.Builder setRuntime​(RuntimeDescription runtime)
    Initializes the value for the `runtime` attribute.
    Parameters:
      `runtime` - The value for runtime
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public ParsedRuntime build()
    Builds a new `ParsedRuntime`.
    Returns:
      An immutable instance of ParsedRuntime
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing